Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.fieldvalue
Class FieldValueItem

    java.lang.Object
      EntityObject
          com.atlassian.bamboo.core.BambooEntityObject
              com.atlassian.bamboo.fieldvalue.FieldValueItem

All Implemented Interfaces:
  BambooObject

    public class FieldValueItem

extends BambooEntityObject

Field Summary

Fields inherited from class com.atlassian.bamboo.core.BambooEntityObject
`id`

Constructor Summary
`FieldValueItem()`
`FieldValueItem(String key, String value)`
`FieldValueItem(String key, String value, int row)`

Method Summary
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object o)`
`BuildDefinition` | `getBuildDefinition()`
`String` | `getKey()`
`Integer` | `getRow()`
`String` | `getValue()`
`int` | `hashCode()`
`void` | `setBuildDefinition(BuildDefinition buildDefinition)`
`void` | `setKey(String key)`
`void` | `setRow(int row)`
`void` | `setValue(String value)`
`String` | `toString()`

Methods inherited from class com.atlassian.bamboo.core.BambooEntityObject
`getId, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldValueItem

    public FieldValueItem()

### FieldValueItem

    public FieldValueItem(String key,
                          String value)

### FieldValueItem

    public FieldValueItem(String key,
                          String value,
                          int row)

Method Detail

### getBuildDefinition

    public BuildDefinition getBuildDefinition()

### setBuildDefinition

    public void setBuildDefinition(BuildDefinition buildDefinition)

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### getValue

    public String getValue()

### setValue

    public void setValue(String value)

### getRow

    public Integer getRow()

### setRow

    public void setRow(int row)

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object o)

### compareTo

    public int compareTo(Object obj)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.